<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'laraautos',

    /*
     * Package.
     */
    'package'   => 'car',

    /*
     * Modules.
     */
    'modules'   => ['car', 'carmodel', 'brand'],

    'car'       => [
        'model' => [
            'model' => \Laraautos\Car\Models\Car::class,
            'repository' => \Laraautos\Car\Repositories\Eloquent\CarRepository::class,
            'table' => 'cars',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'brand_id',  'model_id',  'body_type',  'fuel_type',  'condition',  'release_year',  'speed',  'engine',  'engine_type',  'horse_power',  'transmission',  'drive_train',  'torque',  'brake',  'color',  'gearbox',  'fuel_economy',  'video_link',  'description',  'price',  'mileage',  'images',  'door_count',  'exterior_color',  'engine_size',  'drive_type',  'address',  'features',  'neighborhood',  'city',  'state',  'country',  'zip_code',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'slider',  'premium',  'featured',  'latitude',  'longitude',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'car/car',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Laraautos',
            'package' => 'Car',
            'module' => 'Car',
        ],
    ],
    'carmodel'       => [
        'model' => [
            'model' => \Laraautos\Car\Models\Carmodel::class,
            'repository' => \Laraautos\Car\Repositories\Eloquent\CarmodelRepository::class,
            'table' => 'carmodels',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'brand_id',  'name',  'description',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'car/carmodel',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Laraautos',
            'package' => 'Car',
            'module' => 'Carmodel',
        ],
    ],
    'brand'       => [
        'model' => [
            'model' => \Laraautos\Car\Models\Brand::class,
            'repository' => \Laraautos\Car\Repositories\Eloquent\BrandRepository::class,
            'table' => 'brands',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'description',  'slug',  'status',  'logo',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'car/brand',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Laraautos',
            'package' => 'Car',
            'module' => 'Brand',
        ],
    ],
];
