Lavalite package that provides car management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `laraautos/car`.

    "laraautos/car": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Laraautos\Car\Providers\CarServiceProvider::class,

And also add it to alias

    'Car'  => Laraautos\Car\Facades\Car::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Laraautos\\Car\\Seeds\\CarTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Laraautos\Car\Providers\CarServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Laraautos\Car\Providers\CarServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Laraautos\Car\Providers\CarServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/car/{modulename}

**User**

    http://path-to-route-folder/user/car/{modulename}

**Public**

    http://path-to-route-folder/cars


### API endpoints

**List**

    http://path-to-route-folder/api/user/car/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/car/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/car/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/car/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/car/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/car/{modulename}/{slug}
    METHOD: GET