<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for car in car package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  car module in car package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Car',
    'names' => 'Cars',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Cars',
        'sub' => 'Cars'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'body_type'           => ['Convertible','Limousine / Sedan','Off-road vehicle','Pickup','Truck','Hatchback','Sports car / Coupe','Van / Minibus','Other'],
            'fuel_type'           => ['Gasoline','Gas','Diesel','Other'],
            'condition'           => ['New','Used'],
            'engine'              => ['3 Cylinders','4 Cylinders','5 Cylinders','6 Cylinders','8 Cylinders','10 Cylinders','12 Cylinders'],
            'engine_type'         => ['V','R','H'],
            'transmission'        => ['Manual','Automatic','Semi-automatic'],
            'door_count'          => ['2/3','4/5','6/7'],
            'exterior_color'      => ['Beige','Black','Blue','Brown','Charcoal','Gold','Green','Grey','Orange','Pink','Purple','Red','Silver','Tan','Violet','White','Yellow'],
            'drive_type'          => ['Front wheel drive','Rear wheel drive','All wheel drive'],
            'status'              => ['draft','complete','verify','approve','publish','unpublish','archive'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'brand_id'                   => 'Please enter brand id',
        'model_id'                   => 'Please enter model id',
        'body_type'                  => 'Please select body type',
        'fuel_type'                  => 'Please select fuel type',
        'condition'                  => 'Please select condition',
        'release_year'               => 'Please enter release year',
        'speed'                      => 'Please enter speed',
        'engine'                     => 'Please select engine',
        'engine_type'                => 'Please select engine type',
        'horse_power'                => 'Please enter horse power',
        'transmission'               => 'Please select transmission',
        'drive_train'                => 'Please enter drive train',
        'torque'                     => 'Please enter torque',
        'brake'                      => 'Please enter brake',
        'color'                      => 'Please enter color',
        'gearbox'                    => 'Please enter gearbox',
        'fuel_economy'               => 'Please enter fuel economy',
        'video_link'                 => 'Please enter video link',
        'description'                => 'Please enter description',
        'price'                      => 'Please enter price',
        'mileage'                    => 'Please enter mileage',
        'images'                     => 'Please enter images',
        'door_count'                 => 'Please select door count',
        'exterior_color'             => 'Please select exterior color',
        'engine_size'                => 'Please enter engine size',
        'drive_type'                 => 'Please select drive type',
        'address'                    => 'Please enter address',
        'features'                   => 'Please enter features',
        'neighborhood'               => 'Please enter neighborhood',
        'city'                       => 'Please enter city',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'zip_code'                   => 'Please enter zip code',
        'slug'                       => 'Please enter slug',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'slider'                     => 'Please enter slider',
        'premium'                    => 'Please enter premium',
        'featured'                   => 'Please enter featured',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'brand_id'                   => 'Brand id',
        'model_id'                   => 'Model id',
        'body_type'                  => 'Body type',
        'fuel_type'                  => 'Fuel type',
        'condition'                  => 'Condition',
        'release_year'               => 'Release year',
        'speed'                      => 'Speed',
        'engine'                     => 'Engine',
        'engine_type'                => 'Engine type',
        'horse_power'                => 'Horse power',
        'transmission'               => 'Transmission',
        'drive_train'                => 'Drive train',
        'torque'                     => 'Torque',
        'brake'                      => 'Brake',
        'color'                      => 'Color',
        'gearbox'                    => 'Gearbox',
        'fuel_economy'               => 'Fuel economy',
        'video_link'                 => 'Video link',
        'description'                => 'Description',
        'price'                      => 'Price',
        'mileage'                    => 'Mileage',
        'images'                     => 'Images',
        'door_count'                 => 'Door count',
        'exterior_color'             => 'Exterior color',
        'engine_size'                => 'Engine size',
        'drive_type'                 => 'Drive type',
        'address'                    => 'Address',
        'features'                   => 'Features',
        'neighborhood'               => 'Neighborhood',
        'city'                       => 'City',
        'state'                      => 'State',
        'country'                    => 'Country',
        'zip_code'                   => 'Zip code',
        'slug'                       => 'Slug',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'slider'                     => 'Slider',
        'premium'                    => 'Premium',
        'featured'                   => 'Featured',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],
];
