<?php

namespace Laraautos\Car\Forms;

use Litepie\Form\FormInterpreter;

class Car extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('car/car/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('car/car/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('car/car'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('car/car'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('car/car'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('car/car'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('car::car.label.name'),
                "placeholder" => trans('car::car.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('car::car.label.created_at'),
            'name' => trans('car::car.label.name'),
            'status' => trans('car::car.label.status'),
        ];
        self::$groups = [
            'main' => trans('car::car.groups.main'),
            'details' => trans('car::car.groups.details'),
            'images' => trans('car::car.groups.images'),
            'settings' => trans('car::car.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('car::car.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('car::car.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('car::car.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('car::car.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'brand_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::car.label.brand_id'),
                "placeholder" => trans('car::car.placeholder.brand_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'model_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::car.label.model_id'),
                "placeholder" => trans('car::car.placeholder.model_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'body_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.body_type'),
                "placeholder" => trans('car::car.placeholder.body_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'fuel_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.fuel_type'),
                "placeholder" => trans('car::car.placeholder.fuel_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'condition' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.condition'),
                "placeholder" => trans('car::car.placeholder.condition'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'release_year' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::car.label.release_year'),
                "placeholder" => trans('car::car.placeholder.release_year'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'speed' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.speed'),
                "placeholder" => trans('car::car.placeholder.speed'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'engine' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.engine'),
                "placeholder" => trans('car::car.placeholder.engine'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'engine_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.engine_type'),
                "placeholder" => trans('car::car.placeholder.engine_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'horse_power' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.horse_power'),
                "placeholder" => trans('car::car.placeholder.horse_power'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'transmission' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.transmission'),
                "placeholder" => trans('car::car.placeholder.transmission'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'drive_train' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.drive_train'),
                "placeholder" => trans('car::car.placeholder.drive_train'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'torque' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.torque'),
                "placeholder" => trans('car::car.placeholder.torque'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'brake' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.brake'),
                "placeholder" => trans('car::car.placeholder.brake'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'color' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.color'),
                "placeholder" => trans('car::car.placeholder.color'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'gearbox' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.gearbox'),
                "placeholder" => trans('car::car.placeholder.gearbox'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'fuel_economy' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.fuel_economy'),
                "placeholder" => trans('car::car.placeholder.fuel_economy'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'video_link' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.video_link'),
                "placeholder" => trans('car::car.placeholder.video_link'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.description'),
                "placeholder" => trans('car::car.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('car::car.label.price'),
                "placeholder" => trans('car::car.placeholder.price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mileage' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.mileage'),
                "placeholder" => trans('car::car.placeholder.mileage'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => trans('car::car.label.images'),
                "placeholder" => trans('car::car.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'door_count' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.door_count'),
                "placeholder" => trans('car::car.placeholder.door_count'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'exterior_color' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.exterior_color'),
                "placeholder" => trans('car::car.placeholder.exterior_color'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'engine_size' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.engine_size'),
                "placeholder" => trans('car::car.placeholder.engine_size'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'drive_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('car::car.label.drive_type'),
                "placeholder" => trans('car::car.placeholder.drive_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.address'),
                "placeholder" => trans('car::car.placeholder.address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'features' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('car::car.label.features'),
                "placeholder" => trans('car::car.placeholder.features'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'neighborhood' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.neighborhood'),
                "placeholder" => trans('car::car.placeholder.neighborhood'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.city'),
                "placeholder" => trans('car::car.placeholder.city'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.state'),
                "placeholder" => trans('car::car.placeholder.state'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.country'),
                "placeholder" => trans('car::car.placeholder.country'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'zip_code' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::car.label.zip_code'),
                "placeholder" => trans('car::car.placeholder.zip_code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'slider' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::car.label.slider'),
                "placeholder" => trans('car::car.placeholder.slider'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'premium' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::car.label.premium'),
                "placeholder" => trans('car::car.placeholder.premium'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'featured' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::car.label.featured'),
                "placeholder" => trans('car::car.placeholder.featured'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'latitude' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.latitude'),
                "placeholder" => trans('car::car.placeholder.latitude'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'longitude' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::car.label.longitude'),
                "placeholder" => trans('car::car.placeholder.longitude'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
