<?php

namespace Laraautos\Car\Forms;

use Litepie\Form\FormInterpreter;

class Carmodel extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('car/carmodel/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('car/carmodel/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('car/carmodel'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('car/carmodel'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('car/carmodel'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('car/carmodel'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('car::car.label.name'),
                "placeholder" => trans('car::car.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('car::car.label.created_at'),
            'name' => trans('car::car.label.name'),
            'status' => trans('car::car.label.status'),
        ];
        self::$groups = [
            'main' => trans('car::car.groups.main'),
            'details' => trans('car::car.groups.details'),
            'images' => trans('car::car.groups.images'),
            'settings' => trans('car::car.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('car::car.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('car::car.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('car::car.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('car::car.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'brand_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('car::carmodel.label.brand_id'),
                "placeholder" => trans('car::carmodel.placeholder.brand_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::carmodel.label.name'),
                "placeholder" => trans('car::carmodel.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('car::carmodel.label.description'),
                "placeholder" => trans('car::carmodel.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
