<?php

namespace Laraautos\Car\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Car policy
        \Laraautos\Car\Repositories\Eloquent\CarRepository::class 
        => \Laraautos\Car\Policies\CarPolicy::class,// Bind Carmodel policy
        \Laraautos\Car\Repositories\Eloquent\CarmodelRepository::class 
        => \Laraautos\Car\Policies\CarmodelPolicy::class,// Bind Brand policy
        \Laraautos\Car\Repositories\Eloquent\BrandRepository::class 
        => \Laraautos\Car\Policies\BrandPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
