<?php

namespace Laraautos\Car\Repositories\Eloquent;

use Laraautos\Car\Interfaces\BrandRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Laraautos\Car\Repositories\Eloquent\Presenters\BrandItemPresenter;


class BrandRepository extends BaseRepository implements BrandRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('laraautos.car.brand.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('laraautos.car.brand.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return BrandItemPresenter::class;
    }
}
