<?php

namespace Laraautos\Car\Repositories\Eloquent;

use Laraautos\Car\Interfaces\CarRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Laraautos\Car\Repositories\Eloquent\Presenters\CarItemPresenter;


class CarRepository extends BaseRepository implements CarRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('laraautos.car.car.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('laraautos.car.car.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CarItemPresenter::class;
    }
}
