<?php

namespace Laraautos\Car\Repositories\Eloquent;

use Laraautos\Car\Interfaces\CarmodelRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Laraautos\Car\Repositories\Eloquent\Presenters\CarmodelItemPresenter;


class CarmodelRepository extends BaseRepository implements CarmodelRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('laraautos.car.carmodel.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('laraautos.car.carmodel.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CarmodelItemPresenter::class;
    }
}
